# TdApi.MessageCalendarDay (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: MessageCalendarDay

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageCalendarDay

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageCalendarDay

Enclosing class:
  TdApi

public static final class TdApi.MessageCalendarDay extends TdApi.Object
Contains information about found messages sent on a specific day.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.Message`
`message`
First message sent on the day.
`int`
`totalCount`
Total number of found messages sent on the day.

## Constructor Summary

Constructors
Constructor
Description
`MessageCalendarDay()`
Contains information about found messages sent on a specific day.
`MessageCalendarDay(int totalCount, TdApi.Message message)`
Contains information about found messages sent on a specific day.
`MessageCalendarDay(DataInput input)`
Contains information about found messages sent on a specific day.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### totalCount

public int totalCount
Total number of found messages sent on the day.

### message

public TdApi.Message message
First message sent on the day.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### MessageCalendarDay

public MessageCalendarDay()
Contains information about found messages sent on a specific day.

### MessageCalendarDay

public MessageCalendarDay(int totalCount, TdApi.Message message)
Contains information about found messages sent on a specific day.

Parameters:
  `totalCount` - int Total number of found messages sent on the day.
  `message` - Message First message sent on the day.

### MessageCalendarDay

public MessageCalendarDay(DataInput input) throws IOException
Contains information about found messages sent on a specific day.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`